﻿using Resources;
using StatisticsService.Api.Clients;
using StatisticsService.Interfaces;
using System.Diagnostics;

namespace StatisticsService.Api.Workers
{
    public class BankServiceCronService : CronJobService
    {
        private readonly ILogger<BankServiceCronService> logger;

        public BankServiceCronService(IScheduleConfig<BankServiceCronService> config, ILogger<BankServiceCronService> logger)
            : base(config.TimeZone, logger, config.Schedules?.Length > 0 ? config.Schedules : new[] { config.CronExpression })
        {
            this.logger = logger;
        }

        public override async Task DoWork(CancellationToken cancellationToken)
        {
            var sw = Stopwatch.StartNew();
            logger.LogInformation("BankService Cron Job is running..");

            // handle cron job logic here

            var elapsed = sw.Elapsed;
            logger.LogInformation("Completed BankService Cron Job: {messageId} after {elapsed}", elapsed);
        }
    }
}