﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace StatisticsService.Database.Migrations
{
    public partial class InitialMigration : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "aggregated_events_1_day",
                columns: table => new
                {
                    id = table.Column<int>(type: "serial", nullable: false),
                    event_time = table.Column<DateTime>(type: "timestamp", nullable: false),
                    topic_id = table.Column<string>(type: "varchar", nullable: false),
                    event_type = table.Column<string>(type: "varchar", nullable: false),
                    count = table.Column<float>(type: "float", nullable: false),
                    event_count = table.Column<float>(type: "float", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_aggregated_events_1_day", x => new { x.id, x.event_time });
                });
            migrationBuilder.Sql("SELECT create_hypertable('aggregated_events_1_day','event_time');");

            migrationBuilder.CreateTable(
                name: "aggregated_events_1_hour",
                columns: table => new
                {
                    id = table.Column<int>(type: "serial", nullable: false),
                    event_time = table.Column<DateTime>(type: "timestamp", nullable: false),
                    topic_id = table.Column<string>(type: "varchar", nullable: false),
                    event_type = table.Column<string>(type: "varchar", nullable: false),
                    count = table.Column<float>(type: "float", nullable: false),
                    event_count = table.Column<float>(type: "float", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_aggregated_events_1_hour", x => new { x.id, x.event_time });
                });
            migrationBuilder.Sql("SELECT create_hypertable('aggregated_events_1_hour','event_time');");
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "aggregated_events_1_day");

            migrationBuilder.DropTable(
                name: "aggregated_events_1_hour");
        }
    }
}
