import { BreadcrumbItem } from './BreadcrumbItem'
import BreadcrumbChild from 'shared/interfaces/breadcrumbs.interface'

interface BreadcrumbProps {
  category: string
  subPage?: BreadcrumbChild
  currentPage: string
}

export const Breadcrumb = ({ category, subPage, currentPage }: BreadcrumbProps) => {
  return (
    <div>
      <ol className="breadcrumb">
        <BreadcrumbItem label={category} />
        {subPage && <BreadcrumbItem label={subPage.label} url={subPage.url} />}
        <BreadcrumbItem label={currentPage} active={true} />
      </ol>
    </div>
  )
}
