import { useThemeStore } from 'store'

import Spinner from 'assets/images/svgs/spinner.svg'
import WhiteSpinner from 'assets/images/svgs/spinner-white.svg'

interface LoadingIndicatorProps {
  noPadding?: boolean
  noHeight?: boolean
}

export const LoadingIndicator = ({ noPadding, noHeight }: LoadingIndicatorProps) => {
  const isDarkMode = useThemeStore(state => state.isDarkMode)
  return (
    <div
      className={`${!noPadding && 'app-content'} mt-0 d-flex justify-content-center ${
        !noHeight && 'h-100vh'
      }`}
    >
      <img className="w-100p" src={isDarkMode ? WhiteSpinner : Spinner} />
    </div>
  )
}
