import axios from 'axios'

import { useAuthStore } from 'store'

export const statisticsAPI = axios.create({
  baseURL: `${process.env.REACT_APP_STATISTICS_API_URL}/api/v1/`,
})

statisticsAPI.interceptors.request.use(req => {
  const accessToken = useAuthStore.getState().accessToken
  if (req.headers) req.headers.Authorization = `Bearer ${accessToken}`
  return req
})
