import { AxiosError } from 'axios'
import { useQuery } from 'react-query'

import { getResourcesByType } from 'utils/api/resources'
import { FETCH_ONCE_OPTIONS } from './config'
import Resource from 'shared/interfaces/resources/resource.interface'

export const useResources = (type: string) => {
  return useQuery<Resource[], AxiosError>(
    [`resources-${type}`],
    () => getResourcesByType(type),
    FETCH_ONCE_OPTIONS,
  )
}
